order: 1
title: Full
tabs:
  main:
    display: Main
    sections:
      -
        fields:
          -
            handle: title
            field:
              type: text
              required: true
              localizable: false
              validate:
                - required
          -
            handle: footer_set_type
            field:
              options:
                -
                  key: form
                  value: Form
                -
                  key: donate
                  value: Donate
                -
                  key: statistic
                  value: Statistic
              placeholder: 'Please select an option'
              max_items: 1
              clearable: true
              searchable: false
              type: select
              display: 'Footer set type'
              localizable: false
              validate:
                - required
                - sometimes
          -
            handle: footer_details
            field:
              buttons:
                - h2
                - h3
                - bold
                - italic
                - underline
                - unorderedlist
                - orderedlist
                - removeformat
                - anchor
                - image
              fullscreen: false
              allow_source: false
              remove_empty_nodes: trim
              link_collections:
                - pages
                - stories
              container: assets
              type: bard
              display: 'Footer details'
              localizable: false
      -
        display: Form
        fields:
          -
            handle: footer_form
            field:
              max_items: 1
              type: form
              display: 'Footer form'
              localizable: false
              query_scopes:
                - form_belongs_to_current_site
              validate:
                - sometimes
                - required
              if:
                footer_set_type: 'equals form'
      -
        display: Donate
        fields:
          -
            handle: donate_widget
            field:
              max_items: 1
              create: false
              collections:
                - donate_widgets
              type: entries
              display: 'Donate widget'
              localizable: false
              validate:
                - sometimes
                - required
              listable: false
              if:
                footer_set_type: 'equals donate'
      -
        display: Statistic
        fields:
          -
            handle: heading
            field: statistic.heading
            config:
              validate:
                - required
                - sometimes
              if:
                footer_set_type: 'equals statistic'
          -
            handle: subheading
            field: statistic.subheading
            config:
              validate:
                - required
                - sometimes
              if:
                footer_set_type: 'equals statistic'
          -
            handle: icon
            field: icon_selector.icon
            config:
              validate:
                - sometimes
                - required
              if:
                footer_set_type: 'equals statistic'
              width: 66
          -
            handle: icon_color
            field: icon_selector.icon_color
            config:
              validate:
                - sometimes
                - required
              if:
                footer_set_type: 'equals statistic'
              width: 33
      -
        display: 'Appeal Card'
        fields:
          -
            import: footer_appeal_card
